%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name: clutter-mozembed
Summary: Clutter mozembed
Group: Networking/WWW
Version: 0.10.5
License: LGPL
URL: http://www.moblin.org
Release: %mkrel 1
Source0: %{name}-%{version}.tar.gz
Patch0: moblin-repack.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: clutter-devel
BuildRequires: libmesagl-devel
BuildRequires: libgtk+2-devel
BuildRequires: mozilla-headless-services-devel
BuildRequires: gnome-common
BuildRequires: xulrunner-headless-devel
BuildRequires: zip

%description
Widget to enable embedding of mozilla browser in your clutter applications

%package -n %{libname}
Summary: Clutter mozembed library
Group: System/Libraries
Requires: %{name}

%description -n %{libname}
Widget to enable embedding of mozilla browser in your clutter applications

%package -n %{develname}
Summary: Development libraries for %{name}
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel

%description -n %{develname}
Development environment for using clutter mozembed

%prep
%setup -q -n clutter-mozembed-%{version}
%patch0 -p1 -b .moblin-repack

%build
NOCONFIGURE=1 ./autogen.sh
%configure --enable-plugins --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/clutter-mozheadless
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.rdf
%dir %{_datadir}/%{name}/chrome
%{_datadir}/%{name}/chrome/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%dir %{_includedir}/clutter*/%{name}
%{_includedir}/clutter*/%{name}/*.h
%{_libdir}/lib%{name}-*.so
%{_libdir}/lib%{name}-*.la
%{_libdir}/pkgconfig/%{name}-*.pc


%changelog
* Fri Nov 06 2009 Caio Begotti <caio1982@mandriva.org> 0.10.5-1mdv2010.1
+ Revision: 461774
- new upstream version
- updated patch for 0.10.5

* Thu Oct 29 2009 Caio Begotti <caio1982@mandriva.org> 0.10.4-1mdv2010.0
+ Revision: 460161
- new upstream release required by both the new moblin-web-browser and xulrunner-headless versions
- patch update plus a fix for the proper IDL path in the pkg-config file

* Tue Oct 06 2009 Olivier Blin <oblin@mandriva.com> 0.10.3-1mdv2010.0
+ Revision: 454588
- provide clutter-mozembed-devel
- require lib in devel package
- buildrequire zip
- libify
- fix filelist
- include moblin patch to link with headless version of mozilla-js
- fix groups
- simplify find_lang
- fix devel requires
- do not run configure twice
- do not explicitely set LD_AS_NEEDED
- use make macros
- remove ldconfig post scriptlets
- initial import (from Caio Begotti, based on Moblin package)
- Created package structure for clutter-mozembed.

